javax.resource.spi

## Annotation Type ConnectionDefinition

-     @Documented
      @Retention(value=RUNTIME)
      @Target(value=TYPE)
      public @interface ConnectionDefinition

  Defines a set of connection interfaces and classes pertaining to a particular connection type. This annotation can be placed only on a JavaBean that implements the `ManagedConnectionFactory` interface.
  Since:
    1.6
  Version:
    Java EE Connector Architecture 1.6

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `Class` | `connection` Specifies the Connection interface supported by the resource adapter.
    `Class` | `connectionFactory` Specifies the ConnectionFactory interface supported by the resource adapter.
    `Class` | `connectionFactoryImpl` Specifies the Class provided by the resource adapter that implements the resource adapter specific ConnectionFactory interface.
    `Class` | `connectionImpl` Specifies the class provided by the resource adapter that implements the resource adapter specific Connection interface.

- - ### Element Detail

    - #### connectionFactory

          public abstract Class connectionFactory

      Specifies the ConnectionFactory interface supported by the resource adapter. Example: javax.resource.cci.ConnectionFactory or com.wombat.ConnectionFactory

    - #### connectionFactoryImpl

          public abstract Class connectionFactoryImpl

      Specifies the Class provided by the resource adapter that implements the resource adapter specific ConnectionFactory interface. Example: com.wombat.ConnectionFactoryImpl

    - #### connection

          public abstract Class connection

      Specifies the Connection interface supported by the resource adapter. Example: javax.resource.cci.Connection or com.wombat.Connection

    - #### connectionImpl

          public abstract Class connectionImpl

      Specifies the class provided by the resource adapter that implements the resource adapter specific Connection interface. Example: com.wombat.ConnectionImpl

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.